Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl
Class AbstractDeploymentService

    java.lang.Object
      org.jbpm.kie.services.impl.AbstractDeploymentService

All Implemented Interfaces:
  org.kie.internal.deployment.DeploymentService

Direct Known Subclasses:
  KModuleDeploymentService

    public abstract class AbstractDeploymentService

extends Object
implements org.kie.internal.deployment.DeploymentService

Field Summary
`protected javax.enterprise.event.Event<DeploymentEvent>` | `deploymentEvent`
`protected Map<String,org.kie.internal.deployment.DeployedUnit>` | `deploymentsMap`
`protected javax.enterprise.event.Event<DeploymentEvent>` | `undeploymentEvent`

Constructor Summary
`AbstractDeploymentService()`

Method Summary
`void` | `commonDeploy(org.kie.internal.deployment.DeploymentUnit unit, DeployedUnitImpl deployedUnit, RuntimeEnvironment environemnt)`
`void` | `deploy(org.kie.internal.deployment.DeploymentUnit unit)`
`protected AbstractAuditLogger` | `getAuditLogger()` Provides AuditLogger implementation, JPA or JMS.
`org.kie.internal.deployment.DeployedUnit` | `getDeployedUnit(String deploymentUnitId)`
`Collection<org.kie.internal.deployment.DeployedUnit>` | `getDeployedUnits()`
`Map<String,org.kie.internal.deployment.DeployedUnit>` | `getDeploymentsMap()`
`javax.persistence.EntityManagerFactory` | `getEmf()`
`RuntimeManagerFactory` | `getManagerFactory()`
`RuntimeDataService` | `getRuntimeDataService()`
`RuntimeManager` | `getRuntimeManager(String deploymentUnitId)`
`void` | `setEmf(javax.persistence.EntityManagerFactory emf)`
`void` | `setManagerFactory(RuntimeManagerFactory managerFactory)`
`void` | `setRuntimeDataService(RuntimeDataService runtimeDataService)`
`void` | `undeploy(org.kie.internal.deployment.DeploymentUnit unit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### deploymentEvent

    @Inject
    protected javax.enterprise.event.Event<DeploymentEvent> deploymentEvent

### undeploymentEvent

    @Inject
    protected javax.enterprise.event.Event<DeploymentEvent> undeploymentEvent

### deploymentsMap

    protected Map<String,org.kie.internal.deployment.DeployedUnit> deploymentsMap

Constructor Detail

### AbstractDeploymentService

    public AbstractDeploymentService()

Method Detail

### getEmf

    public javax.persistence.EntityManagerFactory getEmf()

### setEmf

    public void setEmf(javax.persistence.EntityManagerFactory emf)

### deploy

    public void deploy(org.kie.internal.deployment.DeploymentUnit unit)

  Specified by:
    `deploy` in interface `org.kie.internal.deployment.DeploymentService`

### commonDeploy

    public void commonDeploy(org.kie.internal.deployment.DeploymentUnit unit,
                             DeployedUnitImpl deployedUnit,
                             RuntimeEnvironment environemnt)

### undeploy

    public void undeploy(org.kie.internal.deployment.DeploymentUnit unit)

  Specified by:
    `undeploy` in interface `org.kie.internal.deployment.DeploymentService`

### getRuntimeManager

    public RuntimeManager getRuntimeManager(String deploymentUnitId)

  Specified by:
    `getRuntimeManager` in interface `org.kie.internal.deployment.DeploymentService`

### getDeployedUnit

    public org.kie.internal.deployment.DeployedUnit getDeployedUnit(String deploymentUnitId)

  Specified by:
    `getDeployedUnit` in interface `org.kie.internal.deployment.DeploymentService`

### getDeploymentsMap

    public Map<String,org.kie.internal.deployment.DeployedUnit> getDeploymentsMap()

### getDeployedUnits

    public Collection<org.kie.internal.deployment.DeployedUnit> getDeployedUnits()

  Specified by:
    `getDeployedUnits` in interface `org.kie.internal.deployment.DeploymentService`

### getManagerFactory

    public RuntimeManagerFactory getManagerFactory()

### setManagerFactory

    public void setManagerFactory(RuntimeManagerFactory managerFactory)

### getRuntimeDataService

    public RuntimeDataService getRuntimeDataService()

### setRuntimeDataService

    public void setRuntimeDataService(RuntimeDataService runtimeDataService)

### getAuditLogger

    protected AbstractAuditLogger getAuditLogger()

  Provides AuditLogger implementation, JPA or JMS. JPA is the default one and JMS requires to have configuration file (.properties) to be available on classpath under 'jbpm.audit.jms.properties' name. This file must have following properties defined:
  - jbpm.audit.jms.connection.factory.jndi - JNDI name of the connection factory to look up - type String
  - jbpm.audit.jms.queue.jndi - JNDI name of the queue to look up - type String

  Returns:
    instance of the audit logger

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.